%define module	XML-LibXML-Common
%define version 0.13
%define release 2mdk

Summary:	Various functions used by XML::LibXML, XML::LibXSLT
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	libxml2-devel >= 2.4.20
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot/

%description
XML::LibXML::Common contains several constants and functions that
are shared by XML::LibXML, XML::GDOME and XML::LibXSLT (not all done, yet)

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{perl_vendorarch}/auto/XML/LibXML/*
%{perl_vendorarch}/XML/LibXML/*
%{_mandir}/*/*

%changelog
* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.13-2mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Sat May 31 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.13-1mdk
- 0.13

* Thu May 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.12-2mdk
- rebuild for perl auto{prov,req}

* Thu Nov 28 2002 Franois Pons <fpons@mandrakesoft.com> 0.12-1mdk
- 0.12.

* Mon Nov  4 2002 Pixel <pixel@mandrakesoft.com> 0.11-1mdk
- initial spec
